curl -X GET https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789 \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
webhook = wirebox.webhooks.get("whk_01J8DEF456GHI789")
print(f"URL: {webhook.url}, Events: {webhook.events}")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const webhook = await wirebox.webhooks.get("whk_01J8DEF456GHI789");
console.log(`URL: ${webhook.url}`);
wirebox webhook get whk_01J8DEF456GHI789
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"email.received",
"email.sent",
"sms.received"
],
"agent_handle": "eva",
"mailbox_address": "eva@wireboxmail.com",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"status": "active",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
Webhooks
Get Webhook
Retrieve configuration details for a specific webhook endpoint.
GET
/
api
/
v1
/
webhooks
/
{id}
curl -X GET https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789 \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
webhook = wirebox.webhooks.get("whk_01J8DEF456GHI789")
print(f"URL: {webhook.url}, Events: {webhook.events}")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const webhook = await wirebox.webhooks.get("whk_01J8DEF456GHI789");
console.log(`URL: ${webhook.url}`);
wirebox webhook get whk_01J8DEF456GHI789
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"email.received",
"email.sent",
"sms.received"
],
"agent_handle": "eva",
"mailbox_address": "eva@wireboxmail.com",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"status": "active",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
Path Parameters
string
required
The unique webhook ID (e.g.
whk_01J8DEF456GHI789).curl -X GET https://api.wirebox.sh/api/v1/webhooks/whk_01J8DEF456GHI789 \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
webhook = wirebox.webhooks.get("whk_01J8DEF456GHI789")
print(f"URL: {webhook.url}, Events: {webhook.events}")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const webhook = await wirebox.webhooks.get("whk_01J8DEF456GHI789");
console.log(`URL: ${webhook.url}`);
wirebox webhook get whk_01J8DEF456GHI789
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"email.received",
"email.sent",
"sms.received"
],
"agent_handle": "eva",
"mailbox_address": "eva@wireboxmail.com",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"status": "active",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}